### Method

# Xdp Portal create_remote_desktop_session_finish

#### Declaration [src]

    XdpSession*
    xdp_portal_create_remote_desktop_session_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the create-remote-desktop request, and returns a `XdpSession`.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `XdpSession`
| A `XdpSession`
| The caller of the method takes ownership of the data, and is responsible for freeing it.